curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"externalNumber": "353861234577",
"from": "353861234582"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number"
payload = {
"externalNumber": "353861234577",
"from": "353861234582"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"externalNumber\": \"353861234577\",\n \"from\": \"353861234582\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"externalNumber\": \"353861234577\",\n \"from\": \"353861234582\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'externalNumber' => '353861234577',
'from' => '353861234582'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalNumber: '353861234577', from: '353861234582'})
};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Call transferred successfully."
}Transfer call to external number
Use this method to transfer the call to an external phone number. Depending on the Transfer to External Number configuration, the Agent can transfer the call to any valid phone number or only to the numbers in the People with the external_number tag. More info.
Required scope: Enable one of: conversations:manage.
curl --request PATCH \
--url https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"externalNumber": "353861234577",
"from": "353861234582"
}
'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number"
payload = {
"externalNumber": "353861234577",
"from": "353861234582"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"externalNumber\": \"353861234577\",\n \"from\": \"353861234582\"\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"externalNumber\": \"353861234577\",\n \"from\": \"353861234582\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'externalNumber' => '353861234577',
'from' => '353861234582'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({externalNumber: '353861234577', from: '353861234582'})
};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/conversation/{conversationId}/transfer/external-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "SUCCESS",
"message": "Call transferred successfully."
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Conversation ID whose call is being transferred.